Skip to main content
DELETE
/
customdomains
/
{domainName}
Delete custom domain
curl --request DELETE \
  --url https://api.blaxel.ai/v0/customdomains/{domainName} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blaxel.ai/v0/customdomains/{domainName}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blaxel.ai/v0/customdomains/{domainName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "metadata": {
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "createdBy": "<string>",
    "updatedBy": "<string>",
    "displayName": "Preview Domain",
    "labels": {},
    "name": "preview.example.com",
    "workspace": "<string>"
  },
  "spec": {
    "cnameRecords": "<string>",
    "fallbackPreviewId": "my-fallback-preview",
    "lastVerifiedAt": "<string>",
    "region": "us-pdx-1",
    "status": "verified",
    "subjectAlternativeNames": [
      {}
    ],
    "txtRecords": {},
    "verificationError": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

domainName
string
required

Name of the custom domain

Response

200 - application/json

successful operation

Custom domain for preview deployments The custom domain represents a base domain (e.g., example.com) that will be used to serve preview deployments. Each preview will be accessible at a subdomain: .preview. (e.g., abc123.preview.example.com)

metadata
object
required

Custom domain metadata

spec
object
required

Custom domain specification

Last modified on July 1, 2026